Package fr.gouv.vitam.common.model.administration.schema

# Class SchemaModel

java.lang.Object
fr.gouv.vitam.common.model.administration.schema.SchemaModel

public class SchemaModel extends Object
POJO java use for mapping @
invalid reference

    fr.gouv.vitam.functional.administration.common.Schema

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `TAG_COLLECTION`
  Collections Tag
  `static final String`
  `TAG_CREATION_DATE`
  the creation date of the schema
  `static final String`
  `TAG_DESCRIPTION`
  Description Tag
  `static final String`
  `TAG_HASH_ID`
  Document id
  `static final String`
  `TAG_IS_OBJECT_NAME`
  isObject Tag
  `static final String`
  `TAG_LAST_UPDATE`
  the last update of schema
  `static final String`
  `TAG_ORIGIN`
  Origin Tag
  `static final String`
  `TAG_PATH`
  `static final String`
  `TAG_PATH_CARDINALITY`
  pathCardinality tag
  `static final String`
  `TAG_SHORT_NAME`
  ShortName Tag

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `SchemaModel()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `SchemaCardinality`
  `getCardinality()`
  `String`
  `getCollection()`
  `String`
  `getCreationDate()`
  `String`
  `getDescription()`
  `String`
  `getId()`
  `String`
  `getLastUpdate()`
  `Boolean`
  `getObject()`
  `SchemaOrigin`
  `getOrigin()`
  `String`
  `getPath()`
  `String`
  `getShortName()`
  `Integer`
  `getTenant()`
  `Integer`
  `getVersion()`
  `void`
  `setCardinality(SchemaCardinality cardinality)`
  `void`
  `setCollection(String collection)`
  `void`
  `setDescription(String description)`
  `void`
  `setId(String id)`
  `void`
  `setObject(Boolean object)`
  `void`
  `setOrigin(SchemaOrigin origin)`
  `void`
  `setPath(String path)`
  `void`
  `setShortName(String shortName)`
  `void`
  `setTenant(Integer tenant)`
  `void`
  `setVersion(Integer version)`
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### TAG_HASH_ID

    public static final String TAG_HASH_ID
    Document id
    See Also:
      - Constant Field Values

  - ### TAG_COLLECTION

    public static final String TAG_COLLECTION
    Collections Tag
    See Also:
      - Constant Field Values

  - ### TAG_DESCRIPTION

    public static final String TAG_DESCRIPTION
    Description Tag
    See Also:
      - Constant Field Values

  - ### TAG_ORIGIN

    public static final String TAG_ORIGIN
    Origin Tag
    See Also:
      - Constant Field Values

  - ### TAG_SHORT_NAME

    public static final String TAG_SHORT_NAME
    ShortName Tag
    See Also:
      - Constant Field Values

  - ### TAG_PATH

    public static final String TAG_PATH
    See Also:
      - Constant Field Values

  - ### TAG_PATH_CARDINALITY

    public static final String TAG_PATH_CARDINALITY
    pathCardinality tag
    See Also:
      - Constant Field Values

  - ### TAG_IS_OBJECT_NAME

    public static final String TAG_IS_OBJECT_NAME
    isObject Tag
    See Also:
      - Constant Field Values

  - ### TAG_CREATION_DATE

    public static final String TAG_CREATION_DATE
    the creation date of the schema
    See Also:
      - Constant Field Values

  - ### TAG_LAST_UPDATE

    public static final String TAG_LAST_UPDATE
    the last update of schema
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### SchemaModel

    public SchemaModel()

- ## Method Details

  - ### getTenant

    public Integer getTenant()

  - ### setTenant

    public void setTenant(Integer tenant)

  - ### getCollection

    public String getCollection()

  - ### setCollection

    public void setCollection(String collection)

  - ### getDescription

    public String getDescription()

  - ### setDescription

    public void setDescription(String description)

  - ### getCardinality

    public SchemaCardinality getCardinality()

  - ### setCardinality

    public void setCardinality(SchemaCardinality cardinality)

  - ### getObject

    public Boolean getObject()

  - ### setObject

    public void setObject(Boolean object)

  - ### getOrigin

    public SchemaOrigin getOrigin()

  - ### setOrigin

    public void setOrigin(SchemaOrigin origin)

  - ### getShortName

    public String getShortName()

  - ### setShortName

    public void setShortName(String shortName)

  - ### getPath

    public String getPath()

  - ### setPath

    public void setPath(String path)

  - ### getId

    public String getId()

  - ### setId

    public void setId(String id)

  - ### getVersion

    public Integer getVersion()

  - ### setVersion

    public void setVersion(Integer version)

  - ### getCreationDate

    public String getCreationDate()

  - ### getLastUpdate

    public String getLastUpdate()

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`